LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices

Reply
 
Search this Thread
Old 08-09-2004, 12:37 PM   #1
fastrac_tech
LQ Newbie
 
Registered: Aug 2004
Posts: 4

Rep: Reputation: 0
kylix 3 and fedora 2


I really hope someone here can help me out - I have some linux context (have been developing and selling DOS and Windoze stuff for close to 20 years).

I am trying to install Kylix 3 with Fedora Core 2 - I have been told (by another developer friend) that Kylix just plain does not work with 2.6 kernels - is there a way around this?

Scott - Fastrac Software
 
Old 08-09-2004, 01:27 PM   #2
michaelk
Moderator
 
Registered: Aug 2002
Posts: 11,858

Rep: Reputation: 738Reputation: 738Reputation: 738Reputation: 738Reputation: 738Reputation: 738Reputation: 738
I couldn't find anything real on Borland's site except for the following:
http://codecentral.borland.com/codec...sting?id=20136
 
Old 08-26-2004, 10:59 PM   #3
kiwi2penguin
LQ Newbie
 
Registered: Aug 2004
Posts: 2

Rep: Reputation: Disabled
Just seen your post.
I have Kylix 3 Pro running happy as on FC2 kernel 2.6.8-1.521.
I haven't tried the Open version of Kylix though.
Latest kernel needs ...
echo 1 > /proc/sys/vm/legacy_va_layout
to be run first.
I added it to /etc/rc.d/rc_local
then I start kylix with...
export LD_ASSUME_KERNEL=2.2.5; ./startdelphi

hope this helps someone
 
Old 08-27-2004, 04:20 AM   #4
eisman
Member
 
Registered: Jul 2004
Location: The Netherlands
Distribution: Sidux , Debian, Haiku, PC-BSD, CentOS --> XenExpress
Posts: 77

Rep: Reputation: 16
I had no problems with installing Kylix 3 on my Mandrake 10 installation.
I used the Kylix 3 Open Edition.

Works fine, and it is also nice to have two development enviroments.. C++ and Delphi (kylix).
 
Old 08-30-2004, 01:24 PM   #5
dniko
LQ Newbie
 
Registered: Aug 2004
Location: Ferney-Voltaire, France
Distribution: FC2
Posts: 1

Rep: Reputation: 0
Setting the legacy VA layout helped me to run DBDesigner4 (kylix based application) on FC2, kernel 2.6.8-1.521.

There was 'Runtime error 230 at xxx' originally.

Thanks.
 
Old 02-18-2005, 06:05 PM   #6
leosgb
Member
 
Registered: Nov 2004
Location: Brazil
Distribution: Gentoo
Posts: 363

Rep: Reputation: 31
Did any of you meet with this error message when running borpretest?

Borland Kylix System Compatibility Test

Checking loader....lib-a.so: cannot open shared object file: No such file or directory

I am using 2.6.5-63255U10_3cl kernel. I have no clue where to look for this library. Is it a missing symbolic link?

thanks for any help.
-------------
ok my bad! i am supposed to run testsystem instead of borpretest. It is installed and running here. I have one more question tough, how can i write a code that would compile for linux and windows just by changing a #define clause?

Last edited by leosgb; 02-18-2005 at 07:34 PM.
 
Old 03-20-2005, 09:57 PM   #7
jml75
Member
 
Registered: Jun 2004
Distribution: Ubuntu 7.10, Debian 4.0
Posts: 49

Rep: Reputation: 15
eisman,

Did you have any troubles at all when you installed kylix 3 open edition? I'm currently trying to install it but after the install, the following files are missing:

startbcb
startdelphi
startkylix
registerkylix
kylixpath

What is this all about????? I even get an error on the console at the end of the install complaining that it was not possible to change the permissions on those files because they are missing.

I looked in the install files, converted the three install rpms to tar.gz files and did not find a trace of those files.

First I install the french binaries so I tought that it could be the problem so then I tried to install the english package and still same issue.

At install time I got

BORLAND KYLIX 3

Checking dependencies...
Kernel version >= 2.2.0....OK
Glibc version >= 2.1.2....OK
X11 Server....OK
Libjpeg version >= 6.2.0....OK
Libgtk version >= 1.2.0....OK

before the actual install so looks to be fine to me.

Any help would be appreciated.

Thanx!

I'm running debian 3.1(unstable).
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Kylix program will not run outside Kylix vinsky2002 Programming 3 09-30-2005 11:57 AM
Run executable file compiled by kylix and mysql in Fedora Core 4 aa_husni Fedora 0 09-15-2005 12:14 AM
Problems On Kylix 3 On Fedora Core 2 maverlim Programming 1 05-02-2005 02:28 AM
Help need with Kylix 3 Bondfire Red Hat 1 05-02-2005 02:15 AM
Kylix Program can not be executed outside Kylix vinsky2002 Linux - Software 1 01-10-2005 08:35 AM


All times are GMT -5. The time now is 05:28 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration